  <ul *ngIf="filteredNames.length === 0">   <!-- ALL SONGS -->
      <li *ngFor="let song of songsList" (click)="selectSong(song)"
      [ngClass]="{'activeLi': currentSong === song}"><div>{{song}}</div>
      <app-button *ngIf="currentSong == song" iconName="play_arrow"></app-button></li>
  </ul>
  
  <ul *ngIf="filteredNames.length > 0">   <!-- FILTERED SONGS -->
      <li *ngFor="let song of filteredNames" (click)="selectSong(song)"
      [ngClass]="{'activeLi': currentSong === song}"><div>{{song}}</div>
      <app-button *ngIf="currentSong == song" iconName="play_arrow"></app-button></li>
  </ul>